# credit-simulator

Une petite application python toute simple pour mieux comprendre le crédit.

<div style="text-align: center;">
![Credit simulator](img/credit-simulator.png "Credit simulator")
Généré par [Gégé](https://framalab.org/gknd-creator/)
</div>

## Combien puis-je emprunter ?

- on fournit le montant que l'on souhaite payer régulièrement et la durée, cela donne en résultat le capital que l'on peut obtenir selon le taux du crédit.

## Combien dois-je payer pour emprunter ce capital ?

- on indique le capital qu'on souhaite obtenir et en fonction de la durée et du taux de crédit, on obtient la somme à payer régulièrement.

## J'ai déjà un crédit

- vous savez déjà tout sur votre crédit mais vous voulez voir l'évolution des intérêts.

## Dev

```
pip install -r requirements.txt
pip install -r requirements_dev.txt
```

On utilise ``pre-commit`` pour checker et corriger les erreurs avant commit.

Donc installons le

```
pre-commit install
```

## Run

```
uvicorn main:app --host 0.0.0.0 --port 4444 --workers 4
```

Plusieurs workers sont requis pour s'occuper des multiples générations d'images à la volée.
